async

Monadic concurrency library
Description

Part of Jane Street's Core library The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Install
Published
01 Mar 2019
Sources
async-v0.12.0.tar.gz
md5=e9a06695c63cf4b092cc81f25a8491fd
Dependencies
dune
>= "1.5.1"
textutils
>= "v0.12" & < "v0.13"
ppx_jane
>= "v0.12" & < "v0.13"
core_kernel
>= "v0.12" & < "v0.13"
core
>= "v0.12" & < "v0.13"
async_unix
>= "v0.12" & < "v0.13"
async_kernel
>= "v0.12" & < "v0.13"
async_extra
>= "v0.12" & < "v0.13"
ocaml
>= "4.07.0"
Reverse Dependencies
amqp-client
>= "1.1.0"
angstrom-async
>= "0.7.0"
async-uri
< "0.2"
async-zmq
< "0.3.0"
async_find
= "v0.12.0"
async_graphics
>= "0.7.0"
async_inotify
= "v0.12.0"
async_shell
= "v0.12.0"
async_smtp
= "v0.12.0"
async_ssl
= "v0.12.0"
async_udp
< "v0.13.0"
aws-s3
>= "1.1.0" & < "2.0.0"
aws-s3-async
< "3.0.0"
biocaml
= "0.4.0"
caqti-async
< "1.2.0"
command_rpc
= "v0.12.0"
conduit-async
>= "1.1.0" & < "5.1.1"
cstruct-async
>= "6.1.0"
ecaml
= "v0.12.0"
email_message
= "v0.12.0"
faraday-async
< "0.7.2"
frenetic
>= "3.2.0" & < "5.0.0"
horned_worm
>= "0.3.5"
ibx
>= "0.7.3"
mariadb
< "0.5.1"
message-switch
= "0.10.5.1"
mssql
< "2.0.3"
netsnmp
< "v0.13.0"
notty_async
< "v0.13.0"
ocaml_plugin
= "v0.12.0"
opass
< "0.2.1"
openflow
>= "0.9.0"
opium
< "0.11.0"
ox
>= "1.1.0"
pgx_async
< "1.0"
rpc
>= "6.1.0" & < "7.1.0"
rpc_parallel
= "v0.12.0"
sequencer_table
= "v0.12.0"
sexp
< "v0.13.0"
sexp_macro
< "v0.13.0"